Credit item

Log a sale of a track or release for the specified user and add that track or release to the user's locker. You're free to retail in whichever currency suits you best, but you must ensure you log back in the currency which we provided to you for that piece of content. ie, if we provide a USD RRP to you in a non-US country and you decide to retail the product in local currency, you must log back the sale specifying USD as the currency.Please note, this endpoint exclusively supports XML responses and does not return data in other formats such as JSON.

OAuth User token

Example request

GET https://api.7digital.com/1.2/user/deliveritem?country=US&trackId=4648051&releaseid=415019&retailPrice=1.99&currencyCode=USD&transactionid=test4343&oauth_token=... 

Example Response

<response status="ok" version="1.2">
  <purchase id="50454737">
    <purchaseDate>2009-11-10T14:59:39Z</purchaseDate>                  
  </purchase>
</response>
📘

Response Checks

We recommend checking both the HTTP status code and the body of the response to see whether the response has been successful.

Specific Error Codes

HTTP Status CodeAPI Error CodeDescription
4001001Required parameter missing
4001002Invalid parameter value
4001003Parameter out of allowable range
4001006Invalid enumeration value
401(empty)Auth failed
4032002Resource not available in current context
403(empty)Your IP has been blocked
4051007Query string params not permitted
4092003Resource already exists
4223001-3005, 3102-3107Payment/card/refund errors
500(empty)Unexpected failure
503(empty)Unexpected failure
Query Params
string
required

The unique identifier of the user. For information on creating users click here.

string

The email address of the User.

int32
required

The MassiveMusic ID of the release being delivered to the user. If a track is being delivered, this needs to identify the release the track appears on.

int32

If supplied, only the track is delivered - otherwise the full release is delivered.

string

The package id of the item being delivered (ie, 2 = 'standard'). Defaults to 2 if not supplied.

string
required

ISO 2-character code of the country the end user resides in.

string
required

The transaction ID provided will be stored along with a 7digital purchase ID in the 7digital transactions log.

int32
required

Must include fractional units in decimal form where relevant for the currency in question, eg. "7.99", "1.00". The price cannot be negative and must not be more than 2 decimal places. The price should not include any commas (","). If you're giving away items for free please use retailPrice=0. If you're not sure what to report please contact our sales team.

string

The post code or zip code of the user purchasing the track or release. This is currently only valid when country is US or Canada. US zip codes are accepted in the following formats: 12345 or 12345-6789. Zip code must be provided for the sales to be chart eligible in the US and Canada

string
required

Must match the currency which we provided to you for that piece of content. The currencyCode must be in 3 digit ISO 4217 format.

Language
LoadingLoading…